
jQuery( document ).ready( function( $ ) {
	
	if( $( '#krolyn-videos.modal' ).length ) {

		$( 'body' ).append(`
			<div class="krolyn-modal">
			  <a href="#modal" class="modal-close modal-toggle">X</a>
			  <div class="modal-container"></div>
			</div>
		`);
	}

	$( '.modal-toggle' ).on( 'click', ( event ) => {

		event.preventDefault();
  		$( '.krolyn-modal' ).fadeToggle( 'fast' );
  
		let context = $( event.currentTarget ).attr( 'data-modal-type' );
		let content = $( event.currentTarget ).attr( 'data-modal-content' );
		console.log( event );

		if( context == 'video' ) {
			$( '.modal-container' ).append(`
				<div class="modal-video">
					<iframe src="${content}" frameborder="0" allow="autoplay;fullscreen"> </iframe>
				</div>
			`);
		}
	});

	$( '.modal-close' ).on( 'click', ( event ) => {
		event.preventDefault();
		$( '.modal-video' ).remove();
	});
});